Skip to main content
GET
/
api
/
v3
/
brokerage
/
cfm
/
sweeps
List Futures Sweeps
curl --request GET \
  --url https://api.coinbase.com/api/v3/brokerage/cfm/sweeps \
  --header 'Authorization: Bearer <token>'
{
  "sweeps": [
    {
      "id": "<string>",
      "requested_amount": {
        "value": "<string>",
        "currency": "<string>",
        "cbrn": "<string>"
      },
      "should_sweep_all": true,
      "status": "UNKNOWN_FCM_SWEEP_STATUS",
      "scheduled_time": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.

Response

A successful response.

sweeps
object[]